Commit 689797d9 authored by Nick Shaforostoff's avatar Nick Shaforostoff

few easy kf5 fixes, start moving to json plugins,

but i'm not sure anyone actually needs kget at all
parent 845570a2
......@@ -50,7 +50,7 @@ set_package_properties(Qca PROPERTIES DESCRIPTION "Support for encryption"
find_package(KF5Gpgmepp)
set_package_properties(KF5Gpgmepp_FOUND PROPERTIES DESCRIPTION "The GpgMEPP library" TYPE RECOMMENDED PURPOSE "GpgMEPP is required to have signature verifying support in KGet.")
find_package(KTorrent QUIET)
find_package(LibKTorrent 1.9.50 CONFIG REQUIRED)
set_package_properties(LIBKTORRENT_FOUND PROPERTIES DESCRIPTION "Backend Library of KTorrent" TYPE RECOMMENDED PURPOSE "Needed to build KGet bittorrent support.")
find_package(LibMms QUIET)
......@@ -83,6 +83,8 @@ if(KF5Gpgmepp_FOUND)
)
endif()
set (KGET_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kget)
add_subdirectory(conf)
add_subdirectory(core)
add_subdirectory(ui)
......@@ -188,7 +190,8 @@ if (KF5Gpgmepp_FOUND)
kde_enable_exceptions()
endif()
set_target_properties(kgetcore PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
set_target_properties(kgetcore PROPERTIES VERSION 5.0.0 SOVERSION 5 )
install(TARGETS kgetcore ${INSTALL_TARGETS_DEFAULT_ARGS})
......
......@@ -52,7 +52,7 @@
* Bump this number whenever the plugin framework gets
* incompatible with older versions
*/
const int FrameworkVersion = 1;
const int FrameworkVersion = 2;
/**
* @short Base class for kget plugins.
......
......@@ -20,7 +20,7 @@
#include "kget_debug.h"
#include <qdebug.h>
SQLiteStore::SQLiteStore(const QString &database) : TransferHistoryStore(),
m_dbName(database),
m_sql()
......
......@@ -11,6 +11,8 @@
#ifndef TRANSFERHISTORYSTORE_SQLITE_P_H
#define TRANSFERHISTORYSTORE_SQLITE_P_H
#ifdef HAVE_SQLITE
#include "transferhistorystore.h"
#include <QList>
......@@ -40,3 +42,4 @@ private:
QSqlDatabase m_sql;
};
#endif
#endif
......@@ -42,12 +42,13 @@ ki18n_wrap_ui(kget_bittorrentfactory_PART_SRCS
advanceddetails/webseedstab.ui
)
kcoreaddons_desktop_to_json(kget_bittorrent kget_bittorrentfactory.desktop)
kconfig_add_kcfg_files(kget_bittorrentfactory_PART_SRCS bittorrentsettings.kcfgc)
add_library(kget_bittorrentfactory MODULE ${kget_bittorrentfactory_PART_SRCS})
add_library(kget_bittorrent MODULE ${kget_bittorrentfactory_PART_SRCS})
target_link_libraries(kget_bittorrentfactory KF5::KIOCore ${LIBKTORRENT_LIBRARIES} kgetcore)
install(TARGETS kget_bittorrentfactory DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kget_bittorrentfactory.desktop DESTINATION ${SERVICES_INSTALL_DIR})
target_link_libraries(kget_bittorrent KF5::KIOCore ${LIBKTORRENT_LIBRARIES} kgetcore)
install(TARGETS kget_bittorrent DESTINATION ${KGET_PLUGIN_INSTALL_DIR})
###Build KCM-Module
set(kcm_kget_bittorrentfactory_PART_SRCS
......
......@@ -22,7 +22,7 @@
#include <version.h>
#include <torrent/job.h>
KGET_EXPORT_PLUGIN(BTTransferFactory)
K_PLUGIN_FACTORY_WITH_JSON(kget_bittorrent, "kget_bittorrent.json", registerPlugin<BTTransferFactory>();)
BTTransferFactory::BTTransferFactory(QObject *parent, const QVariantList &args)
: TransferFactory(parent, args)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment